CANVAS_REGISTER_REFRESH_FUNC(3)

FUNCTION
canvas_register_refresh_func - Register world canvas refresh callback.

SYNOPSIS
#include <karma_canvas.h>

KCallbackFunc canvas_register_refresh_func

(KWorldCanvas canvas, void (*refresh_func) (),void *info)

DESCRIPTION
This routine will register a refresh function for a world canvas. The refresh function will be called whenever the contents of the canvas need to be redrawn. Many refresh functions may be registered per canvas. The first function registered is the first function called upon refresh.

canvas
    The world canvas.

refresh_func
    The function that is called when the canvas is to be refreshed. The prototype function is <-canvas_PROTO_refresh_func->.

info
    The initial arbitrary canvas information pointer.

RETURN VALUE
A KCallbackFunc object.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/